#!/usr/bin/tclsh

set out [open reserved.h w]
puts $out "/* Generated [clock format [clock seconds] -format "%Y-%m-%d %H:%M"] by reserved.tcl using reserved.txt */"
puts $out ""
puts $out "static char *reserved_word\[\] = {"
set in [open reserved.txt r]
while {[eof $in] == 0} {
	set name [gets $in]
	if {[string length $name] > 0} {
		set lcname [string tolower $name]
		puts $out "\t\"$lcname\","
		}
	}
close $in
puts $out "\tNULL"
puts $out "\t};"
puts $out ""
puts $out "/* end */"
close $out



